Resource

Incident State Timeline

Change state of the incidents (Created to Acknowledged for example)

The Incident State Timeline Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incident
    Type
    Incident
    Description

    Relation to Incident in which this resource belongs

  • Name
    incidentId
    Type
    Object IDRequired
    Description

    Relation to Incident ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    incidentState
    Type
    Incident State
    Description

    Incident State Relation. Which incident state does this incident change to?

  • Name
    incidentStateId
    Type
    Object IDRequired
    Description

    Incident State ID Relation. Which incident state does this incident change to?

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications - includes success messages, failure reasons, or skip reasons

  • Name
    shouldStatusPageSubscribersBeNotified
    Type
    Boolean
    Description

    Should subscribers be notified about this state change?

  • Name
    stateChangeLog
    Type
    JSON
    Description

  • Name
    rootCause
    Type
    Markdown
    Description

    What is the root cause of this status change?

  • Name
    endsAt
    Type
    Date
    Description

    When did this status change end?

  • Name
    startsAt
    Type
    Date
    Description

    When did this status change?

GETorPOST/api/incident-state-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident State Timeline. By default, a maximum of ten Incident State Timeline are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-state-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentId": true,
    "incidentStateId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {
    "subscriberNotificationStatusMessage": "Successfully sent notifications to 47 subscribers via email and SMS"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37725500-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
      "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "37725501-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
      "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "37725502-28fe-11f1-b591-3fdcef396aba",
      "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
      "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    }
  ]
}
GETorPOST/api/incident-state-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident State Timeline by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-state-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentId": true,
    "incidentStateId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "37725500-28fe-11f1-b591-3fdcef396aba",
  "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
  "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
POST/api/incident-state-timeline/count

Count

This endpoint allows you to retrieve the count of all your Incident State Timeline.

Optional Request Body

Count Request

POST
/api/incident-state-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "subscriberNotificationStatusMessage": "Successfully sent notifications to 47 subscribers via email and SMS"
  }
}

Response

{
  "count": 107
}
POST/api/incident-state-timeline

Create Incident State Timeline

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-state-timeline
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
    "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
  }
}

Response

{
  "_id": "37725500-28fe-11f1-b591-3fdcef396aba",
  "incidentId": "e5f6a7b8-c9d0-1234-5678-90abcdef0123",
  "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
PUT/api/incident-state-timeline/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-state-timeline/:id/update-item
GET/api/incident-state-timeline/:id/update-item

Update Request

PUT
/api/incident-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentStateId": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
    "incidentState": "f6a7b8c9-d0e1-2345-6789-0abcdef12345",
    "subscriberNotificationStatusMessage": "Successfully sent notifications to 47 subscribers via email and SMS"
  }
}

Response

{}
DELETE/api/incident-state-timeline/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-state-timeline/:id/delete-item
GET/api/incident-state-timeline/:id/delete-item

Delete Request

DELETE
/api/incident-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident State Timeline
  • Read All Project Resources

Create Permissions

Required to create Incident State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident State Timeline

Update Permissions

Required to update Incident State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident State Timeline

Delete Permissions

Required to delete Incident State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident State Timeline